Getnet DocsGetnet Docs

Updates business configurations (payment methods, brands, installments, etc).

PUT/business-configurations

Updates the business configurations for Web Checkout, including available payment methods, card brands, and installment options.

Body application/json

instant_paymentobject
Show instant_payment properties
enabledboolean
bankslipobject
Show bankslip properties
enabledboolean
c2p_masterobject

Mastercard Click to Pay configuration

Show c2p_master properties
enabledboolean
creditobject
Show credit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brand"Payment by credit - MASTER - VISA - AMEX - ELO - HIPERCARD" | "Payment by debit - MASTER - VISA"

The available card's brand accepted. See <a href="https://docs.globalgetnet.com/en/products/online-payments/web-checkout?doc=supported-payment-methods-wbc"> <b>Supported Payment Methods</b></a> to know all card brands by country.

currenciesstring[]
threedsboolean

Informational field only. Indicates whether this card brand goes through the 3D Secure (3DS) authentication in the Web Checkout payment flow. It is provided solely for the API consumer's awareness and cannot be enabled or disabled through business-configurations.

suported_installmentsobject[]
Show suported_installments properties
schema_namestring
installmentsinteger[]
installments_with_interestinteger[]
installments_with_increaseobject[]
Show installments_with_increase properties
installmentsinteger[]
ratenumber
debitobject
Show debit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brand"Payment by credit - MASTER - VISA - AMEX - ELO - HIPERCARD" | "Payment by debit - MASTER - VISA"

The available card's brand accepted. See <a href="https://docs.globalgetnet.com/en/products/online-payments/web-checkout?doc=supported-payment-methods-wbc"> <b>Supported Payment Methods</b></a> to know all card brands by country.

currenciesstring[]
threedsboolean

Informational field only. Indicates whether this card brand goes through the 3D Secure (3DS) authentication in the Web Checkout payment flow. It is provided solely for the API consumer's awareness and cannot be enabled or disabled through business-configurations.

suported_installmentsobject[]
Show suported_installments properties
schema_namestring
installmentsinteger[]
installments_with_interestinteger[]
installments_with_increaseobject[]
Show installments_with_increase properties
installmentsinteger[]
ratenumber

Response

OK

instant_paymentobject
Show instant_payment properties
enabledboolean
bankslipobject
Show bankslip properties
enabledboolean
c2p_masterobject

Mastercard Click to Pay configuration

Show c2p_master properties
enabledboolean
creditobject
Show credit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brand"Payment by credit - MASTER - VISA - AMEX - ELO - HIPERCARD" | "Payment by debit - MASTER - VISA"

The available card's brand accepted. See <a href="https://docs.globalgetnet.com/en/products/online-payments/web-checkout?doc=supported-payment-methods-wbc"> <b>Supported Payment Methods</b></a> to know all card brands by country.

currenciesstring[]
threedsboolean

Informational field only. Indicates whether this card brand goes through the 3D Secure (3DS) authentication in the Web Checkout payment flow. It is provided solely for the API consumer's awareness and cannot be enabled or disabled through business-configurations.

suported_installmentsobject[]
Show suported_installments properties
schema_namestring
installmentsinteger[]
installments_with_interestinteger[]
installments_with_increaseobject[]
Show installments_with_increase properties
installmentsinteger[]
ratenumber
debitobject
Show debit properties
enabledboolean
brandsobject[]
Show brands properties
enabledboolean
brand"Payment by credit - MASTER - VISA - AMEX - ELO - HIPERCARD" | "Payment by debit - MASTER - VISA"

The available card's brand accepted. See <a href="https://docs.globalgetnet.com/en/products/online-payments/web-checkout?doc=supported-payment-methods-wbc"> <b>Supported Payment Methods</b></a> to know all card brands by country.

currenciesstring[]
threedsboolean

Informational field only. Indicates whether this card brand goes through the 3D Secure (3DS) authentication in the Web Checkout payment flow. It is provided solely for the API consumer's awareness and cannot be enabled or disabled through business-configurations.

suported_installmentsobject[]
Show suported_installments properties
schema_namestring
installmentsinteger[]
installments_with_interestinteger[]
installments_with_increaseobject[]
Show installments_with_increase properties
installmentsinteger[]
ratenumber

Bad request.

codestring

Unique alphanumeric human readable error code

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Unauthorized

codestring

Unique alphanumeric human readable error code

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Not found

codestring

Unique alphanumeric human readable error code

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Internal server error

codestring

Unique alphanumeric human readable error code

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Request
curl -X PUT "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/business-configurations" \
  -H "Content-Type: application/json" \
  -d '{
  "instant_payment": {
    "enabled": true
  },
  "bankslip": {
    "enabled": true
  },
  "credit": {
    "enabled": true,
    "brands": [
      {
        "enabled": true,
        "brand": "VISA",
        "currencies": [
          "ARS"
        ],
        "threeds": true,
        "suported_installments": [
          {
            "schema_name": "plan_emisor",
            "installments": [
              1,
              2,
              3,
              4,
              5,
              6,
              7,
              8,
              9,
              10
            ],
            "installments_with_interest": [
              2,
              3
            ],
            "installments_with_increase": [
              {
                "installments": [
                  3,
                  4
                ],
                "rate": 3.5
              }
            ]
          }
        ]
      }
    ]
  },
  "debit": {
    "enabled": true,
    "brands": [
      {
        "enabled": true,
        "brand": "VISA",
        "currencies": [
          "ARS"
        ],
        "threeds": true
      },
      {
        "enabled": true,
        "brand": "MASTER",
        "currencies": [
          "ARS"
        ],
        "threeds": true
      }
    ]
  }
}'
Response
{
  "instant_payment": {
    "enabled": true
  },
  "bankslip": {
    "enabled": true
  },
  "credit": {
    "enabled": true,
    "brands": [
      {
        "enabled": true,
        "brand": "VISA",
        "currencies": [
          "ARS"
        ],
        "threeds": true,
        "suported_installments": [
          {
            "schema_name": "plan_emisor",
            "installments": [
              1,
              2,
              3,
              4,
              5,
              6,
              7,
              8,
              9,
              10
            ],
            "installments_with_interest": [
              2,
              3
            ],
            "installments_with_increase": [
              {
                "installments": [
                  3,
                  4
                ],
                "rate": 3.5
              }
            ]
          }
        ]
      }
    ]
  },
  "debit": {
    "enabled": true,
    "brands": [
      {
        "enabled": true,
        "brand": "VISA",
        "currencies": [
          "ARS"
        ],
        "threeds": true
      },
      {
        "enabled": true,
        "brand": "MASTER",
        "currencies": [
          "ARS"
        ],
        "threeds": true
      }
    ]
  }
}